package org.stm.compliane.item.vo;

import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.stm.compliane.item.entity.StComplianeRiskRef;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: yzh
 * @Date 2023/3/30 22:13
 * @Description:
 */
@Data
public class StComplianeRiskRefVo extends StComplianeRiskRef {
    private String riskIds;

    public List<Integer> getIntRiskIds(){
        if(StringUtils.isNotEmpty(riskIds)){
           String [] datas = StringUtils.split(riskIds,",");
           List<Integer> rDatas = new ArrayList<>();
            for (String data : datas) {
                rDatas.add(Integer.valueOf(data));
            }
            return rDatas;
        }
        return null;
    }
}
